<template>
  <div>
    <p>Sign-in in progress</p> 
  </div> 
</template>

<script>
import security from '../services/security'

export default {
  async created() {
    try {
      var result = await security.signinRedirectCallback()
      var returnToUrl = '/about'
      if (result.state !== undefined) {
        returnToUrl = result.state
      }
      this.$router.push({
        path: returnToUrl
      })
    } catch (e) {
      this.$router.push({
        name: 'Unauthorized'
      })
    }
  }
} 
</script>
